"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var index_1 = require("./core/index");
var IConfiguration_1 = require("./IConfiguration");
exports.MvcTokens = {
    /**
     * Application token.
     */
    Application: index_1.ApplicationToken,
    /**
     * MVC Context
     * it is a token id, you can register yourself middleware for this.
     */
    IContext: index_1.ContextToken,
    /**
     * Authorization
     * it is a token id, you can register yourself middleware for this.
     */
    IAuthorization: index_1.AuthorizationToken,
    /**
     * Configuration
     * it is a token id, you can register yourself middleware for this.
     */
    IConfiguration: IConfiguration_1.ConfigurationToken,
    /**
     * context middlwware is provider for context of request.
     * it is a token id, you can register yourself middleware for this.
     */
    ContextMiddleware: index_1.ContentMiddlewareToken,
    /**
     * content middlwware is static files server.
     * it is a token id, you can register yourself middleware for this.
     */
    ContentMiddleware: index_1.ContentMiddlewareToken,
    /**
     * Session middlwware is deal wtih session connect.
     * it is a token id, you can register yourself middleware for this.
     */
    SessionMiddleware: index_1.SessionMiddlewareToken,
    /**
     * log middlwware is deal with log for requests.
     * it is a token id, you can register yourself middleware for this.
     */
    LogMiddleware: index_1.LogMiddlewareToken,
    /**
     * route middlwware is deal with route for requests.
     * it is a token id, you can register yourself middleware for this.
     */
    RouterMiddleware: index_1.RouterMiddlewareToken,
    /**
     * Cors middlwware is deal with route cors for requests.
     * it is a token id, you can register yourself middleware for this.
     */
    CorsMiddleware: index_1.CorsMiddlewareToken,
    /**
     * json middlwware is deal with request body as json for some requests.
     * it is a token id, you can register yourself middleware for this.
     */
    JsonMiddleware: index_1.JsonMiddlewareToken,
    /**
     * Body Parse middlwware is deal with request body for requests.
     * it is a token id, you can register yourself middleware for this.
     */
    BodyParserMiddleware: index_1.BodyParserMiddlewareToken,
    /**
     * view middlwware is render html for requests.
     * it is a token id, you can register yourself middleware for this.
     */
    ViewsMiddleware: index_1.ViewsMiddlewareToken
};
/**
 * mvc tokens
 */
exports.mvcSymbols = exports.MvcTokens;
/**
 * mvc tokens
 */
exports.MvcSymbols = exports.MvcTokens;

//# sourceMappingURL=sourcemaps/tokens.js.map
